package com.ruoyi.business.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.TbUserMsgMapper;
import com.ruoyi.business.domain.TbUserMsg;
import com.ruoyi.business.service.ITbUserMsgService;
import com.ruoyi.common.core.text.Convert;

/**
 * 消息中心
Service业务层处理
 * 
 * @author xiatao
 * @date 2022-01-18
 */
@Service
public class TbUserMsgServiceImpl implements ITbUserMsgService 
{
    @Autowired
    private TbUserMsgMapper tbUserMsgMapper;

    /**
     * 查询消息中心

     * 
     * @param msgId 消息中心
主键
     * @return 消息中心

     */
    @Override
    public TbUserMsg selectTbUserMsgByMsgId(Long msgId)
    {
        return tbUserMsgMapper.selectTbUserMsgByMsgId(msgId);
    }

    /**
     * 查询消息中心
列表
     * 
     * @param tbUserMsg 消息中心

     * @return 消息中心

     */
    @Override
    public List<TbUserMsg> selectTbUserMsgList(TbUserMsg tbUserMsg)
    {
        return tbUserMsgMapper.selectTbUserMsgList(tbUserMsg);
    }

    /**
     * 新增消息中心

     * 
     * @param tbUserMsg 消息中心

     * @return 结果
     */
    @Override
    public int insertTbUserMsg(TbUserMsg tbUserMsg)
    {
        tbUserMsg.setCreateTime(DateUtils.getNowDate());
        return tbUserMsgMapper.insertTbUserMsg(tbUserMsg);
    }

    /**
     * 修改消息中心

     * 
     * @param tbUserMsg 消息中心

     * @return 结果
     */
    @Override
    public int updateTbUserMsg(TbUserMsg tbUserMsg)
    {
        return tbUserMsgMapper.updateTbUserMsg(tbUserMsg);
    }

    /**
     * 批量删除消息中心

     * 
     * @param msgIds 需要删除的消息中心
主键
     * @return 结果
     */
    @Override
    public int deleteTbUserMsgByMsgIds(String msgIds)
    {
        return tbUserMsgMapper.deleteTbUserMsgByMsgIds(Convert.toStrArray(msgIds));
    }

    /**
     * 删除消息中心
信息
     * 
     * @param msgId 消息中心
主键
     * @return 结果
     */
    @Override
    public int deleteTbUserMsgByMsgId(Long msgId)
    {
        return tbUserMsgMapper.deleteTbUserMsgByMsgId(msgId);
    }
}
